Subject: Re: [PATCH/RFC 4/6] transport: add refspec list parameters to functions

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Apr 2016 08:07:53 -0700

Jeff King <[email-masked]> writes:

> If the plan is something like:
>
>   1. v2 exists, but client/server don't know when they should use it.
>
>   2. smart-http grows an extra parameter for the client to say "hey, I
>      know v2"
>
>   3. Other protocols get some manual v2 support (e.g., client asks for
>      "upload-pack2" if instructed by the user, server either speaks v2
>      then or says "eh, what?").
>
> I like that very much. It lets us "cheat" on the hard part of the
> problem for http, which is what David's series is doing, but it provides
> a clear path forward for the protocols eventually reaching feature
> parity (namely that eventually all servers speak v2, and the client can
> start asking for v2 by default).

Yup, thanks for clearly writing it down. I like the above very much,
too.